Remove a webhook endpoint
curl --request DELETE \
--url https://api.zebratruth.ai/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Recent-Auth-Proof: <x-recent-auth-proof>'import requests
url = "https://api.zebratruth.ai/v1/webhooks/{webhookId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Recent-Auth-Proof": "<x-recent-auth-proof>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Recent-Auth-Proof': '<x-recent-auth-proof>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.zebratruth.ai/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zebratruth.ai/v1/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>",
"X-Recent-Auth-Proof: <x-recent-auth-proof>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zebratruth.ai/v1/webhooks/{webhookId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Recent-Auth-Proof", "<x-recent-auth-proof>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.zebratruth.ai/v1/webhooks/{webhookId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Recent-Auth-Proof", "<x-recent-auth-proof>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zebratruth.ai/v1/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Recent-Auth-Proof"] = '<x-recent-auth-proof>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhookId": "<string>",
"status": "deleted"
}{
"statusCode": 401,
"message": "Invalid API key",
"error": true,
"url": "https://api.zebratruth.ai/v1/whoami",
"statusMessage": "Invalid API key"
}{
"statusCode": 123,
"message": "<string>",
"error": true,
"url": "<string>",
"statusMessage": "<string>",
"data": {
"code": "review_scope_not_enabled"
}
}Webhooks
Remove a webhook endpoint
Dashboard session only, owner role, with a recent-authentication proof and an Idempotency-Key.
DELETE
/
webhooks
/
{webhookId}
Remove a webhook endpoint
curl --request DELETE \
--url https://api.zebratruth.ai/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Recent-Auth-Proof: <x-recent-auth-proof>'import requests
url = "https://api.zebratruth.ai/v1/webhooks/{webhookId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Recent-Auth-Proof": "<x-recent-auth-proof>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Recent-Auth-Proof': '<x-recent-auth-proof>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.zebratruth.ai/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zebratruth.ai/v1/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>",
"X-Recent-Auth-Proof: <x-recent-auth-proof>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zebratruth.ai/v1/webhooks/{webhookId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Recent-Auth-Proof", "<x-recent-auth-proof>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.zebratruth.ai/v1/webhooks/{webhookId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Recent-Auth-Proof", "<x-recent-auth-proof>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zebratruth.ai/v1/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Recent-Auth-Proof"] = '<x-recent-auth-proof>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhookId": "<string>",
"status": "deleted"
}{
"statusCode": 401,
"message": "Invalid API key",
"error": true,
"url": "https://api.zebratruth.ai/v1/whoami",
"statusMessage": "Invalid API key"
}{
"statusCode": 123,
"message": "<string>",
"error": true,
"url": "<string>",
"statusMessage": "<string>",
"data": {
"code": "review_scope_not_enabled"
}
}Authorizations
API key starting with zt_live_ (production) or zt_test_ (sandbox).
Get your key at https://developers.zebratruth.ai
Headers
Unique request identifier to prevent duplicate execution and double-charging. Generate a new UUID for each distinct request. Reuse the same key to safely retry.